## open-build-service 2.7.4

=== Makefile ===
all:
	make -C docs/api/api apidocs

install:
	make -C dist install
	make -C src/api install
	make -C src/backend install

test:
	make -C src/api test
	make -C dist test
	make -C src/backend test
