## open-build-service 2.7.4

=== debian/changelog ===
open-build-service (2.7.4-2) unstable; urgency=medium

  * debian/obs-server.postinst: make sure multi-user.target.wants
    directory created before creating symlink manually. (Closes:#870841)

 -- Andrew Lee (李健秋) <ajqlee@debian.org>  Sun, 06 Aug 2017 08:03:37 +0800

open-build-service (2.7.4-1) unstable; urgency=medium

  * Merging upstream version 2.7.4.
  * debian/control: Drop memcached depends from obs-server.
  * debian/control: make obs-server recommends: on gnupg2. (Closes:#859711)
  * debian/control: make obs-server recommends: on dpkg-dev.
    (Closes:#855828)
  * Refreshed gemfile-tweaks.patch. (Closes:#869051)
  * Refreshed drop-ruby-hoptoad-notifier.patch.
  * obs-utils: ship obs_mirror_project.

 -- Andrew Lee (李健秋) <ajqlee@debian.org>  Fri, 04 Aug 2017 03:40:11 +0800
