=== debian/control ===
--- 
+++ 
@@ -93,7 +93,6 @@
          libsocket-msghdr-perl,
          libxml-parser-perl,
          libxml-simple-perl,
-         memcached,
          obs-build,
          obs-productconverter (>= ${binary:Version}),
          patch,
@@ -102,6 +101,8 @@
          ${misc:Depends},
          ${shlibs:Depends}
 Recommends: createrepo,
+            dpkg-dev,
+            gnupg2,
             lvm2,
             obs-signd,
             slpd,
