=== debian/rules ===
#!/usr/bin/make -f
#export DH_VERBOSE=1
export DH_OPTIONS

export BUILD_ROOT=$(CURDIR)/debian/tmp

%:
	dh $@ --parallel --with=systemd

override_dh_auto_build:
	# Place localgem
	cp -a debian/localgem src/api/vendor/gems
	dh_auto_build

override_dh_auto_clean:
	rm -rf src/api/vendor/gems
	dh_auto_clean

override_dh_install:
	# Drop useless files.
	rm -f debian/tmp/etc/apache2/vhosts.d/obs.conf
	rm -f debian/tmp/etc/init.d/obsapisetup
	rm -f debian/tmp/usr/lib/obs/server/build/build exists
	rm -f debian/tmp/usr/share/doc/packages/obs-devel/README.devel

	dh_install --list-missing

	dh_installdebconf

	# Move config files under /etc/obs/api/config/. And links with dh_link.
	mv debian/obs-api/usr/share/obs/api/config/options.yml \
			debian/obs-api/etc/obs/api/config/
	mv debian/obs-api/usr/share/obs/api/config/production.sphinx.conf \
			debian/obs-api/etc/obs/api/config/
	mv debian/obs-api/usr/share/obs/api/config/thinking_sphinx.yml \
			debian/obs-api/etc/obs/api/config/

	# Remove log and tmp and create links under /var with dh_link.
	rm -rf debian/obs-api/usr/share/obs/api/log
	rm -rf debian/obs-api/usr/share/obs/api/tmp

	# Rename dh_install installed web service config files.
	# (new default since OBS 2.3)
	mkdir -p debian/obs-api/etc/apache2/sites-available/
	cp debian/obs-apache2.conf \
		debian/obs-api/etc/apache2/sites-available/obs.conf

	mkdir -p debian/obs-api/usr/share/dbconfig-common/data/obs-api/install/
	touch debian/obs-api/usr/share/dbconfig-common/data/obs-api/install/mysql
	cp debian/obs-server/usr/lib/obs/server/BSConfig.pm.template \
		debian/obs-server/etc/obs/BSConfig.pm

	# Rename sysconfig file
	mv debian/obs-server/etc/default/sysconfig.obs-server \
		debian/obs-server/etc/default/obs-server

	# turn duplicates into hard links
	fdupes debian/obs-api/usr/share/obs/

	# Clean up vcs control file
	find debian/obs-api -name '.gitignore' -type f | xargs rm -f

	# fix permissions
	chmod a-x debian/obs-api/usr/share/obs/api/script/update_bento.sh
	chmod a-x debian/obs-api/usr/share/obs/api/Rakefile
	# Clean up "extra" license
	rm debian/obs-server/usr/lib/obs/server/License

	# Fix Mark scripts as executable until upstream fixes
	chmod a+x debian/obs-server/usr/lib/obs/tests/appliance/*t*

override_dh_systemd_enable:
	dh_systemd_enable -p obs-server \
		obsrepserver.service \
		obssrcserver.service \
		obsdispatcher.service \
		obswarden.service \
		obsdodup.service \
		obspublisher.service \
		obssigner.service

override_dh_installinit:
	dh_installinit --name obsapidelayed --no-start
	dh_installinit --name obsworker --no-start

override_dh_systemd_start:
	dh_systemd_start -p obs-server \
		obsrepserver.service \
		obssrcserver.service \
		obsdispatcher.service \
		obswarden.service \
		obsdodup.service \
		obspublisher.service \
		obssigner.service


override_dh_auto_test:
	 dh_auto_test || true # temporary ignore
