=== debian/watch ===
version=3
https://github.com/openSUSE/open-build-service/releases .*/(.*).tar.gz
